Bug 152471 - multiboot does not boot macosx
multiboot does not boot macosx
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
http://penguinppc.org/bootloaders/yab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 15:19 EST by shrek-m
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 07:40:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shrek-m 2005-03-29 15:19:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
"mac os x" multiboot does not work
# grep ^boot /etc/yaboot.conf
boot=/dev/hda2


# grep macosx /etc/yaboot.conf
#macosx=/dev/hda
#macosx=/dev/hda1
macosx=/dev/hda2
#macosx=/dev/hda3


while booting i can choose
l = linux
x = mac os x

but macosx will not boot (MAC OS X is ok)

Version-Release number of selected component (if applicable):
yaboot-1.3.12-9

How reproducible:
Always

Steps to Reproduce:
1. edit yaboot.conf
2. ybin
3. reboot
4. press "x"
  

Actual Results:  "mac os x" will not boot
i always come back to the same prompt "l" "x"
Stage 1 Boot>

Expected Results:  macosx installed on ?? /dev/hda2 ?? should boot.

Additional info:

it would be great if anaconda could/would configure the multiboot with "macosx" while installation.

# hmount /dev/hda1
hmount: /dev/hda1: volume is smaller than 800K (Invalid argument)

# hmount /dev/hda2
Volume name is "bootstrap"
Volume was created on Thu Mar 17 12:41:40 2005
Volume was last modified on Tue Mar 29 20:38:52 2005
Volume has 884224 bytes free

# hdir
f  tbxi/UNIX         0      2873 Mar 29 20:38 ofboot.b
f  boot/UNIX         0    141492 Mar 29 20:38 yaboot
f  conf/UNIX         0       796 Mar 29 20:38 yaboot.conf

# hmount /dev/hda3
hmount: /dev/hda3: not a Macintosh HFS volume (Invalid argument)
Comment 1 Paul Nasrat 2005-03-30 04:13:25 EST
hda2 isn't the mac osx volume - are you sure you have OS X installed.

Please attach the output of 

parted /dev/hda print

Comment 2 shrek-m 2005-03-30 04:57:51 EST
<FC4t1-rawhide>
# parted /dev/hda print
Disk geometry for /dev/hda: 0.000-57231.562 megabytes
Disk label type: mac
Minor    Start       End     Filesystem  Name                  Flags
1          0.000      0.031              Apple
3        128.031  18821.218              Apple_HFS_Untitled_2
2      18821.219  18822.218  hfs         untitled              boot
4      18822.219  36822.218  ext3        untitled
5      36822.219  37078.218  linux-swap  swap                  swap
Information: Don't forget to update /etc/fstab, if necessary.
</FC4t1-rawhide>

yes, macosx 10.3.8 is installed and i can choose it with [alt] os_picker while
booting.
OS X / systemsetting / start-volume / osx --> OS X as default boot fine.

<OSX>
$ mount
/dev/disk0s3 on / (local, journaled)
devfs on /dev (local)
fdesc on /dev (union)
<volfs> on /.vol
automount -nsl [371] on /Network (automounted)
automount -fstab [377] on /automount/Servers (automounted)
automount -static [377] on /automount/static (automounted)

$ uname -a
Darwin Ma-Wes-Computer.local 7.8.0 Darwin Kernel Version 7.8.0: Wed Dec 22
14:26:17 PST 2004; root:xnu/xnu-517.11.1.obj~1/RELEASE_PPC  Power Macintosh powerpc
</OSX>
Comment 3 Paul Nasrat 2005-03-30 05:56:29 EST
Please edit your yaboot.conf to have

macosx=/dev/hda3

and rerun ybin

The small hda2 hfs partition is

From linux you should be able to do

mount -t hfsplus /dev/hda3 /mnt

Should mount the OS X volume with /Library ,etc

For some reason the minor vs the disk order are switched, which may have
confused you.

Please confirm if that works for you - I hope to have the OS X/OS 9 dual boot
patches merged for test2
Comment 4 shrek-m 2005-03-30 07:40:25 EST
thanks, all is ok :-)

l = linux
x = macosx
c = enablecdboot
o = enableofboot
n = enablenetboot

Note You need to log in before you can comment on or make changes to this bug.